#!/usr/bin/perl -I /usr/sausalito/perl

use CCE;
use Sauce::Util::SecurityLevels;

my $cce = new CCE;
$cce->connectuds();

my @oids=$cce->find("CapabilityGroup", {name=>"adminShell"});

if(! scalar(@oids)){
	my $sec = new SecurityLevels();
	$sec->updateSecurityLevels(
        	'adminShell',
	        '[[base-shell.capgroup_adminShell]]',
        	'[[base-shell.capgroup_adminShell_help]]',
	        'modifySsh'
	);
}else{
	my $obj=($cce->get($oids[0]))[1];
	my @tmp=$cce->scalar_to_array($obj->{capabilities});
	unless(grep {/modifySsh/} @tmp){
		push(@tmp, "modifySsh");
		$cce->set($oids[0], "", 
			{
				capabilities => $cce->array_to_scalar(@tmp)
			}
		);
	}
}

$cce->bye("SUCCESS");
exit(0);
